commit:     fa731af5857e77b90cca2fe95e409605966b88e9
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 11 12:45:06 2017 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Feb 11 12:45:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa731af5

app-cdr/cdrdao: Drop gcdmaster support as it is the last consumer of dead 
libgnomeuimm

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-cdr/cdrdao/cdrdao-1.2.3-r4.ebuild | 62 +++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

diff --git a/app-cdr/cdrdao/cdrdao-1.2.3-r4.ebuild 
b/app-cdr/cdrdao/cdrdao-1.2.3-r4.ebuild
new file mode 100644
index 0000000000..fb048113b6
--- /dev/null
+++ b/app-cdr/cdrdao/cdrdao-1.2.3-r4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="Burn CDs in disk-at-once mode -- with optional GUI frontend"
+HOMEPAGE="http://cdrdao.sourceforge.net/";
+if [[ ${PV/*_rc*} ]]
+then
+       SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+else
+       SRC_URI="http://www.poolshark.org/src/${P/_}.tar.bz2";
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="encode mad vorbis"
+
+RDEPEND="virtual/cdrtools
+       encode? ( >=media-sound/lame-3.99 )
+       mad? (
+               media-libs/libmad
+               media-libs/libao
+               )
+       vorbis? (
+               media-libs/libvorbis
+               media-libs/libao
+               )
+       !app-cdr/cue2toc
+       !dev-util/pccts"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}/${P}-glibc212.patch"
+       "${FILESDIR}/${P}-unsigned-char.patch"
+       "${FILESDIR}/${P}-ax_pthread.patch"
+       "${FILESDIR}/${P}-wformat-security.patch"
+)
+
+S="${WORKDIR}/${P/_}"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # Fix building with latest libsigc++
+       append-cxxflags -std=c++11
+       find -name '*.h' -exec sed -i '/sigc++\/object.h/d' {} + || die
+
+       econf \
+               --without-xdao \
+               $(use_with vorbis ogg-support) \
+               $(use_with mad mp3-support) \
+               $(use_with encode lame)
+}

Reply via email to